Bug 969305 - Business Rule Task has not got property Script Language
Business Rule Task has not got property Script Language
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 03:25 EDT by Sona Mala
Modified: 2014-08-06 16:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The "ScriptLanguage" property is missing for the Business Rule Tasks. Consequence: This property is important for onEntry/onExit action and the changes made using this property are applied to the attribute "scriptFormat" of drools:onEntry-script and drools:onExit-script. Fix: The issue is now resolved and the "ScriptLanguage" property is found in the Extra properties. Result: The onEntry-script and onExit-script elements can now be changed from the Business Rule Task without switching the "Task Type" to Script Task to make the changes.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-05-31 03:25:23 EDT
Description of problem:
Business Rule Task has not got property ScriptLanguage. I think that this property is important for onEntry/onExit action. Its changes is apllied on attribute scriptFormat of elements drools:onEntry-script and drools:onExit-script.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create process (Start -> Business rule Task -> End)
2. activate Business Task
3. open Extra Property

Actual results:
Properties: Ruleflow Group, On Entry Actions, On Exit Actions

Expected results:
Properties: Ruleflow Group, On Entry Actions, On Exit Actions, ScriptLanguage


Workaround for changing "ScriptLanguage" of onEntry action for Business Rule Task:
switch a "Task Type" to Script Task, change ScriptLanguage, switch back to Business Rule Task.
Comment 3 Sona Mala 2013-09-18 07:24:25 EDT
Verified for ER3.

The attribute Script Language is present in Extra properties.
Comment 7 Kanchan Desai 2013-10-23 07:53:26 EDT
Hi Sona,

Doc Text has been added. Can you please review the CCFR.
Comment 8 Lukáš Petrovický 2014-02-07 11:15:51 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.